Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name

### norm()

Examples

    float value = 20;
    float n = norm(value, 0, 50);
    println(n);  // prints "0.4"

Description | Normalizes a number from another range into a value between 0 and 1. Identical to map(value, low, high, 0, 1); Numbers outside the range are not clamped to 0 and 1, because out-of-range values are often intentional and useful.

Syntax

    norm(value, low, high)

Parameters

value | float: The incoming value to be converted
low | float: Lower bound of the value's current range
high | float: Upper bound of the value's current range

Returns | float
Usage | Web & Application
Related | map() lerp()

Updated on August 30, 2010 04:29:39pm EDT